Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum MethodType

    java.lang.Object
      java.lang.Enum<MethodType>
          org.jboss.txbridge.ba.annotation.MethodType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MethodType>

    public enum MethodType

extends java.lang.Enum<MethodType>

Supported Business Activity service types. This type defines if a service modifies any data (MODIFY) and should provide datamgmt action or if it is READONLY and can exit the Business Activity after finishing its work.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`MODIFY`
`READONLY`

Method Summary
`static MethodType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READONLY

    public static final MethodType READONLY

### MODIFY

    public static final MethodType MODIFY

Method Detail

### values

    public static final MethodType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MethodType c : MethodType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MethodType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD